#include <iostream>


using namespace std;

int main()
{
	string a1a2;
	cin >> a1a2;

	int deo1, deo2;

	cin >> deo1 >> deo2;

	char a1, a2;

	a1 = a1a2[0];
	a2 = a1a2[1];

	char lastChar = a1;

	if (a1 == a2)
	{
		for (int i = 0; i < (deo1 + deo2); i++)
		{
			cout << a1;
		}
	}
	else
	{
		if (deo1 > (deo2 + 1) || deo2 > (deo1 + 1))
		{
			cout << "nemoguce";
		}
		else if (deo1 == deo2)
		{
			for (int i = 0; i < (deo1 + deo2); i++)
			{
				if (lastChar != a1)
				{
					cout << a1;
					lastChar = a1;
				}
				else if (lastChar != a2)
				{
					cout << a2;
					lastChar = a2;
				}
			}
		}
		else
		{
			if (deo1 > deo2)
			{
				lastChar = a2;
			}

			for (int i = 0; i < (deo1 + deo2); i++)
			{
				if (lastChar != a1)
				{
					cout << a1;
					lastChar = a1;
				}
				else if (lastChar != a2)
				{
					cout << a2;
					lastChar = a2;
				}
			}
		}
	}

    return 0;
}